import { ReactNode } from 'react';
import { Arrow } from './Arrow';
import { Circle } from './Circle';
import { DirectedEllipse } from './DirectedEllipse';
import { Ellipse } from './Ellipse';
import { Group } from './Group';
import { Line } from './Line';
import { Polygon } from './Polygon';
import { Polyline } from './Polyline';
import { Rectangle } from './Rectangle';
import { Shape } from './Shape';
import { Text } from './Text';
export declare const Annotation: {
    Arrow: typeof Arrow;
    Circle: typeof Circle;
    DirectedEllipse: typeof DirectedEllipse;
    Ellipse: typeof Ellipse;
    Group: typeof Group;
    Line: typeof Line;
    Rectangle: typeof Rectangle;
    Shape: typeof Shape;
    Text: typeof Text;
    Polyline: typeof Polyline;
    Polygon: typeof Polygon;
};
export type { AnnotationArrowProps } from './Arrow';
export type { AnnotationCircleProps } from './Circle';
export type { AnnotationDirectedEllipseProps } from './DirectedEllipse';
export type { AnnotationEllipseProps } from './Ellipse';
export type { AnnotationGroupProps } from './Group';
export type { AnnotationLineProps } from './Line';
export type { AnnotationRectangleProps } from './Rectangle';
export type { AnnotationShapeProps, AnnotationShapeName } from './Shape';
export type { AnnotationTextProps } from './Text';
export type { AnnotationPolygonProps } from './Polygon';
export type { AnnotationPolylineProps } from './Polyline';
export interface AnnotationsProps {
    children: ReactNode;
}
export declare function Annotations(props: AnnotationsProps): JSX.Element;
