import { useEffect, useRef, useState } from 'react';
import { usePlotEvents } from '../contexts/plotController/plotControllerContext';
export function useStartMoveEnd(options) {
    const ref = useRef(options);
    useEffect(() => {
        ref.current = options;
    }, [options]);
    const [data, setData] = useState(null);
    usePlotEvents({
        onMouseDown(result) {
            var _a, _b;
            if (result.event.button !== 0)
                return;
            const { coordinates, clampedCoordinates } = result;
            setData({ start: { coordinates, clampedCoordinates } });
            (_b = (_a = ref.current) === null || _a === void 0 ? void 0 : _a.onStart) === null || _b === void 0 ? void 0 : _b.call(_a, result);
        },
        onMouseMove(result) {
            var _a, _b;
            // TODO: boolean that says if mouse is currently down?
            if (!data)
                return;
            const { coordinates, clampedCoordinates } = result;
            setData((data) => ({
                ...data,
                end: { coordinates, clampedCoordinates },
            }));
            (_b = (_a = ref.current) === null || _a === void 0 ? void 0 : _a.onMove) === null || _b === void 0 ? void 0 : _b.call(_a, result);
        },
        onMouseUp(result) {
            var _a, _b;
            if (result.event.button !== 0 || !data)
                return;
            setData(null);
            (_b = (_a = ref.current) === null || _a === void 0 ? void 0 : _a.onEnd) === null || _b === void 0 ? void 0 : _b.call(_a, result);
        },
    });
    return data;
}
//# sourceMappingURL=useStartMoveEnd.js.map