"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCrossHair = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const Line_1 = require("../components/Annotations/Line");
const Text_1 = require("../components/Annotations/Text");
const plotControllerContext_1 = require("../contexts/plotController/plotControllerContext");
function useCrossHair(options = {}) {
    var _a, _b;
    const [hover, setHover] = (0, react_1.useState)(null);
    const { color = 'black', horizontalAxisId = 'x', verticalAxisId = 'y', lineStyle, textStyle, textTransform = '', } = options;
    (0, plotControllerContext_1.usePlotEvents)({
        onMouseMove({ coordinates }) {
            setHover(coordinates);
        },
        onMouseLeave() {
            setHover(null);
        },
    });
    const lineProps = {
        color,
        strokeWidth: '2',
        style: lineStyle,
    };
    const textProps = {
        transform: `translate(-3 -2) ${textTransform}`,
        style: textStyle,
    };
    if (!hover)
        return { annotations: null };
    const annotations = ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(Line_1.Line, { x1: "0%", x2: "100%", y1: hover[verticalAxisId], y2: hover[verticalAxisId], ...lineProps }, void 0), (0, jsx_runtime_1.jsx)(Line_1.Line, { y1: "0%", y2: "100%", x1: hover[horizontalAxisId], x2: hover[horizontalAxisId], ...lineProps }, void 0), (0, jsx_runtime_1.jsxs)(Text_1.Text, { "text-anchor": "end", "alignment-baseline": "after-edge", x: hover[horizontalAxisId], y: hover[verticalAxisId], ...textProps, children: [(_a = hover[horizontalAxisId]) === null || _a === void 0 ? void 0 : _a.toFixed(2), " ,", (_b = hover[verticalAxisId]) === null || _b === void 0 ? void 0 : _b.toFixed(2)] }, void 0)] }, void 0));
    return { annotations };
}
exports.useCrossHair = useCrossHair;
